apiVersion: v1
items:
- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 1
    labels:
      io.kompose.service: poker-springboot
    name: poker-springboot
  spec:
    progressDeadlineSeconds: 600
    replicas: 0
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: poker-springboot
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          io.kompose.service: poker-springboot
      spec:
        containers:
        - args:
          - ./java
          - -jar
          - app.jar
          image: registry.gitlab.com/r99/landing-web:poker-springboot
          imagePullPolicy: Always
          name: poker-springboot
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          workingDir: /var/www
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: gitlab-auth-r99
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 1
    labels:
      io.kompose.service: superadmin
    name: superadmin
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: superadmin
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          io.kompose.service: superadmin
      spec:
        containers:
        - image: registry.gitlab.com/gsmanclub/cms-superadmin:1
          imagePullPolicy: IfNotPresent
          name: superadmin
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/html/application/config/config.php
            name: config-volume
            subPath: config.php
          - mountPath: /var/www/html/application/config/database.php
            name: config-volume-db
            subPath: database.php
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: cms-super
          name: config-volume
        - configMap:
            defaultMode: 420
            name: cms-super-db
          name: config-volume-db
- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 1
    labels:
      io.kompose.service: web
    name: web
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: web
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          io.kompose.service: web
      spec:
        containers:
        - env:
          - name: TZ
            value: Asia/Ho_Chi_Minh
          image: registry.gitlab.com/gsmanclub/cms-admin-game:dev-2
          imagePullPolicy: IfNotPresent
          name: web
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/html/application/config/config.php
            name: config-volume
            subPath: config.php
          - mountPath: /var/www/html/application/config/database.php
            name: config-volume-db
            subPath: database.php
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: cms-admin
          name: config-volume
        - configMap:
            defaultMode: 420
            name: cms-admin-db
          name: config-volume-db
- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 1
    labels:
      io.kompose.service: daily
    name: daily
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: daily
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          io.kompose.service: daily
      spec:
        containers:
        - image: registry.gitlab.com/gsmanclub/cms-daily:hung-1.0
          imagePullPolicy: IfNotPresent
          name: daily
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/html/application/config/config.php
            name: config-volume
            subPath: config.php
          - mountPath: /var/www/html/application/config/database.php
            name: config-volume-db
            subPath: database.php
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: cms-daily
          name: config-volume
        - configMap:
            defaultMode: 420
            name: cms-daily-db
          name: config-volume-db

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 1
    labels:
      io.kompose.service: daily-king
    name: daily-king
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: daily-king
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          io.kompose.service: daily-king
      spec:
        containers:
        - image: registry.gitlab.com/gsmanclub/cms-daily:r68-4.0
          imagePullPolicy: IfNotPresent
          name: daily-king
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/html/application/config/config.php
            name: config-volume
            subPath: config.php
          - mountPath: /var/www/html/application/config/database.php
            name: config-volume-db
            subPath: database.php
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: cms-daily-king-config
          name: config-volume
        - configMap:
            defaultMode: 420
            name: cms-daily-db
          name: config-volume-db

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 1
    labels:
      io.kompose.service: cms-admin-r99-web
    name: cms-admin-r99-web
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: cms-admin-r99-web
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          io.kompose.service: cms-admin-r99-web
      spec:
        containers:
        - image: registry.gitlab.com/r99/landing-web:admin-cms
          imagePullPolicy: IfNotPresent
          name: cms-admin-r99-web
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/html/application/config/config.php
            name: config-volume
            subPath: config.php
          - mountPath: /var/www/html/application/config/database.php
            name: config-volume-db
            subPath: database.php
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: gitlab-auth-r99
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: cms-admin-r99
          name: config-volume
        - configMap:
            defaultMode: 420
            name: cms-admin-db
          name: config-volume-db

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 1
    labels:
      io.kompose.service: redis
    name: redis
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: redis
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          io.kompose.service: redis
      spec:
        containers:
        - env:
          - name: REDIS_PASSWORD
            value: Vietnam2019
          image: bitnami/redis:latest
          imagePullPolicy: Always
          name: redis
          ports:
          - containerPort: 6379
            protocol: TCP
          resources: {}
          securityContext:
            runAsUser: 0
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /bitnami/redis/data
            name: redis-volume
        dnsPolicy: ClusterFirst
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - name: redis-volume
          persistentVolumeClaim:
            claimName: other-ssd-pvc

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    labels:
      io.kompose.service: web12
    name: web2
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: web2
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          io.kompose.service: web2
      spec:
        containers:
        - image: registry.gitlab.com/king365online/deployment-project/web:2107141025
          imagePullPolicy: IfNotPresent
          name: web2
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/html/application/config/config.php
            name: config-volume
            subPath: config.php
          - mountPath: /var/www/html/application/config/database.php
            name: config-volume-db
            subPath: database.php
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred-r99
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: cms-admin-test
          name: config-volume
        - configMap:
            defaultMode: 420
            name: cms-admin-db
          name: config-volume-db

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 1
    labels:
      io.kompose.service: management-center
    name: management-center
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: management-center
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          io.kompose.service: management-center
      spec:
        containers:
        - env:
          - name: JAVA_OPTS
            value: -Dhazelcast.mc.rest.enabled=true -DMC_ADMIN_USER=dev  -DMC_ADMIN_PASSWORD=zHZ+2aj7xzWV7fBJ
          image: hazelcast/management-center:3.12.6
          imagePullPolicy: IfNotPresent
          name: management-center
          ports:
          - containerPort: 8080
            protocol: TCP
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /data1
            name: management-center-claim
        dnsPolicy: ClusterFirst
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - name: management-center-claim
          persistentVolumeClaim:
            claimName: other-ssd-pvc

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 1
    labels:
      io.kompose.service: database
    name: database
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: database
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          io.kompose.service: database
      spec:
        containers:
        - env:
          - name: MYSQL_ROOT_PASSWORD
            value: FBACx5apnP
          image: mysql:5.6
          imagePullPolicy: IfNotPresent
          name: database
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/lib/mysql
            name: pvc
        dnsPolicy: ClusterFirst
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - name: pvc
          persistentVolumeClaim:
            claimName: mysql-ssd-pvc

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 1
    labels:
      io.kompose.service: backend
    name: backend
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: backend
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        annotations:
          kubectl.kubernetes.io/restartedAt: "2021-09-04T10:05:57Z"
        creationTimestamp: null
        labels:
          io.kompose.service: backend
      spec:
        containers:
        - args:
          - ./main
          - console
          env:
          - name: TZ
            value: Asia/Ho_Chi_Minh
          image: registry.gitlab.com/king365online/deployment-project/api-backend:2109020945
          imagePullPolicy: Always
          name: backend
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/config/db_pool.properties
            name: config-volume
            subPath: db_pool.properties
          - mountPath: /var/www/config/hazelcast.properties
            name: config-volume
            subPath: hazelcast.properties
          - mountPath: /var/www/config/mongo.properties
            name: config-volume
            subPath: mongo.properties
          - mountPath: /var/www/config/rmq.properties
            name: config-volume
            subPath: rmq.properties
          - mountPath: /var/www/config/partner.properties
            name: config-volume
            subPath: partner.properties
          - mountPath: /var/www/config/api_backend.xml
            name: api-backend
            subPath: api_backend.xml
          workingDir: /var/www
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred-r99
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: config-all
          name: config-volume
        - configMap:
            defaultMode: 420
            name: api-backend
          name: api-backend

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 1
    labels:
      io.kompose.service: superadmin-r99
    name: superadmin-r99
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: superadmin-r99
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        annotations:
          kubectl.kubernetes.io/restartedAt: "2021-09-12T15:09:28Z"
        creationTimestamp: null
        labels:
          io.kompose.service: superadmin-r99
      spec:
        containers:
        - image: registry.gitlab.com/r99/landing-web:superadmin-cms
          imagePullPolicy: Always
          name: superadmin-r99
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/html/application/config/config.php
            name: config-volume
            subPath: config.php
          - mountPath: /var/www/html/application/config/database.php
            name: config-volume-db
            subPath: database.php
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: gitlab-auth-r99
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: cms-super
          name: config-volume
        - configMap:
            defaultMode: 420
            name: cms-super-db
          name: config-volume-db

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 1
    name: mongo-1-1
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: mongo-1-1
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          io.kompose.service: mongo-1-1
      spec:
        containers:
        - args:
          - mongod
          - --port
          - "27017"
          - --oplogSize
          - "16"
          - --wiredTigerCacheSizeGB
          - "1"
          - --noprealloc
          - --smallfiles
          - --dbpath
          - /data/db
          - --auth
          env:
          - name: MONGO_INITDB_ROOT_PASSWORD
            value: 7fLd6CQJB7
          - name: MONGO_INITDB_ROOT_USERNAME
            value: root
          image: registry.gitlab.com/gsmanclub/mongodb-images
          imagePullPolicy: Always
          name: mongo-1-1
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /data/db
            name: mongodb-volume
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - name: mongodb-volume
          persistentVolumeClaim:
            claimName: mongodb-ssd-pvc

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 1
    labels:
      io.kompose.service: mqtt-service
    name: mqtt-service
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: mqtt-service
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          io.kompose.service: mqtt-service
      spec:
        containers:
        - env:
          - name: RABBITMQ_DEFAULT_PASS
            value: zUQHRZD9v4
          - name: RABBITMQ_DEFAULT_USER
            value: gamebai
          image: registry.gitlab.com/gsmanclub/mqtt-project/rabbitmq
          imagePullPolicy: Always
          name: mqtt-service
          ports:
          - containerPort: 5672
            protocol: TCP
          - containerPort: 15672
            protocol: TCP
          - containerPort: 1883
            protocol: TCP
          - containerPort: 15675
            protocol: TCP
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/lib/rabbitmq
            name: rabbitmq-claim0
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - name: rabbitmq-claim0
          persistentVolumeClaim:
            claimName: mqtt-ssd-pvc

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 1
    labels:
      io.kompose.service: hazelcast
    name: hazelcast
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: hazelcast
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          io.kompose.service: hazelcast
      spec:
        containers:
        - env:
          - name: JAVA_OPTS
            value: -Dhazelcast.config=/configFolder/hazelcast.xml -Dhazelcast.mancenter.url=http://management-service:8080/hazelcast-mancenter/
              -Dgroup.name=dev -Dgroup.password=zHZ+2aj7xzWV7fBJ
          image: registry.gitlab.com/phucnt2/hazelcast
          imagePullPolicy: Always
          name: hazelcast
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 1
    labels:
      io.kompose.service: bot
    name: bot
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: bot
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        annotations:
          kompose.cmd: kompose convert -f docker-compose.yml
          kompose.version: 1.19.0 (f63a961c)
        creationTimestamp: null
        labels:
          io.kompose.service: bot
      spec:
        containers:
        - args:
          - ./main
          - console
          image: registry.gitlab.com/hungnv2612.2/docker-bot
          imagePullPolicy: Always
          name: bot
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /app/appsettings.json
            name: config-volume
            subPath: appsettings.json
          - mountPath: /data/db
            name: mongodb-volume
          workingDir: /app
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred2
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: bot-appsettings
          name: config-volume
        - name: mongodb-volume
          persistentVolumeClaim:
            claimName: mongodb-ssd-pvc

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 1
    labels:
      io.kompose.service: portal
    name: portal
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: portal
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        annotations:
          kubectl.kubernetes.io/restartedAt: "2021-10-06T09:10:44Z"
        creationTimestamp: null
        labels:
          io.kompose.service: portal
      spec:
        containers:
        - image: registry.gitlab.com/r99/landing-web:portal
          imagePullPolicy: Always
          name: portal
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/config/db_pool.properties
            name: config-volume
            subPath: db_pool.properties
          - mountPath: /var/www/config/hazelcast.properties
            name: config-volume
            subPath: hazelcast.properties
          - mountPath: /var/www/config/mongo.properties
            name: config-volume
            subPath: mongo.properties
          - mountPath: /var/www/config/rmq.properties
            name: config-volume
            subPath: rmq.properties
          - mountPath: /var/www/config/partner.properties
            name: config-volume
            subPath: partner.properties
          - mountPath: /var/www/config/config_game.properties
            name: config-volume
            subPath: config_game.properties
          - mountPath: /var/www/config/api_portal.xml
            name: api-portal
            subPath: api_portal.xml
          - mountPath: /var/www/config/tele.properties
            name: config-volume
            subPath: tele.properties
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: gitlab-auth-r99
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: config-all
          name: config-volume
        - configMap:
            defaultMode: 420
            name: api-portal
          name: api-portal

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    
    generation: 1
    labels:
      io.kompose.service: vbee
    name: vbee
    
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: vbee
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        annotations:
          kubectl.kubernetes.io/restartedAt: "2021-09-04T04:38:30Z"
        creationTimestamp: null
        labels:
          io.kompose.service: vbee
      spec:
        containers:
        - args:
          - ./main
          - console
          image: registry.gitlab.com/king365online/deployment-project/vbee:2108121325
          imagePullPolicy: IfNotPresent
          name: vbee
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/config/db_pool.properties
            name: config-volume
            subPath: db_pool.properties
          - mountPath: /var/www/config/hazelcast.properties
            name: config-volume
            subPath: hazelcast.properties
          - mountPath: /var/www/config/mongo.properties
            name: config-volume
            subPath: mongo.properties
          - mountPath: /var/www/config/rmq.properties
            name: config-volume
            subPath: rmq.properties
          - mountPath: /var/www/config/rabbitmq_config.xml
            name: config-rabbitmq
            subPath: rabbitmq_config.xml
          workingDir: /var/www
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred-r99
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: config-all
          name: config-volume
        - configMap:
            defaultMode: 420
            name: config-rabbitmq
          name: config-rabbitmq

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 1
    labels:
      io.kompose.service: ws
    name: ws
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: ws
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          io.kompose.service: ws
      spec:
        containers:
        - args:
          - ./main
          - console
          image: registry.gitlab.com/gsmanclub/wspay:2
          imagePullPolicy: IfNotPresent
          name: ws
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/config/db_pool.properties
            name: config-volume
            subPath: db_pool.properties
          - mountPath: /var/www/config/hazelcast.properties
            name: config-volume
            subPath: hazelcast.properties
          - mountPath: /var/www/config/mongo.properties
            name: config-volume
            subPath: mongo.properties
          - mountPath: /var/www/config/rmq.properties
            name: config-volume
            subPath: rmq.properties
          - mountPath: /var/www/config/partner.properties
            name: config-volume
            subPath: partner.properties
          - mountPath: /var/www/config/config_game.properties
            name: config-volume
            subPath: config_game.properties
          workingDir: /var/www
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: config-all
          name: config-volume

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 2
    labels:
      app: cainjector
      app.kubernetes.io/component: cainjector
      app.kubernetes.io/instance: cert-manager
      app.kubernetes.io/managed-by: Helm
      app.kubernetes.io/name: cainjector
      app.kubernetes.io/version: v1.5.4
      helm.sh/chart: cert-manager-v1.5.4
    name: cert-manager-cainjector
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        app.kubernetes.io/component: cainjector
        app.kubernetes.io/instance: cert-manager
        app.kubernetes.io/name: cainjector
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          app: cainjector
          app.kubernetes.io/component: cainjector
          app.kubernetes.io/instance: cert-manager
          app.kubernetes.io/managed-by: Helm
          app.kubernetes.io/name: cainjector
          app.kubernetes.io/version: v1.5.4
          helm.sh/chart: cert-manager-v1.5.4
      spec:
        containers:
        - args:
          - --v=2
          - --leader-election-namespace=kube-system
          env:
          - name: POD_NAMESPACE
            valueFrom:
              fieldRef:
                apiVersion: v1
                fieldPath: metadata.namespace
          image: quay.io/jetstack/cert-manager-cainjector:v1.5.4
          imagePullPolicy: IfNotPresent
          name: cert-manager
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
        dnsPolicy: ClusterFirst
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext:
          runAsNonRoot: true
        serviceAccount: cert-manager-cainjector
        serviceAccountName: cert-manager-cainjector
        terminationGracePeriodSeconds: 30

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 2
    labels:
      app: cert-manager
      app.kubernetes.io/component: controller
      app.kubernetes.io/instance: cert-manager
      app.kubernetes.io/managed-by: Helm
      app.kubernetes.io/name: cert-manager
      app.kubernetes.io/version: v1.5.4
      helm.sh/chart: cert-manager-v1.5.4
    name: cert-manager
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        app.kubernetes.io/component: controller
        app.kubernetes.io/instance: cert-manager
        app.kubernetes.io/name: cert-manager
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        annotations:
          prometheus.io/path: /metrics
          prometheus.io/port: "9402"
          prometheus.io/scrape: "true"
        creationTimestamp: null
        labels:
          app: cert-manager
          app.kubernetes.io/component: controller
          app.kubernetes.io/instance: cert-manager
          app.kubernetes.io/managed-by: Helm
          app.kubernetes.io/name: cert-manager
          app.kubernetes.io/version: v1.5.4
          helm.sh/chart: cert-manager-v1.5.4
      spec:
        containers:
        - args:
          - --v=2
          - --cluster-resource-namespace=$(POD_NAMESPACE)
          - --leader-election-namespace=kube-system
          env:
          - name: POD_NAMESPACE
            valueFrom:
              fieldRef:
                apiVersion: v1
                fieldPath: metadata.namespace
          image: quay.io/jetstack/cert-manager-controller:v1.5.4
          imagePullPolicy: IfNotPresent
          name: cert-manager
          ports:
          - containerPort: 9402
            protocol: TCP
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
        dnsPolicy: ClusterFirst
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext:
          runAsNonRoot: true
        serviceAccount: cert-manager
        serviceAccountName: cert-manager
        terminationGracePeriodSeconds: 30

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 2
    labels:
      app: webhook
      app.kubernetes.io/component: webhook
      app.kubernetes.io/instance: cert-manager
      app.kubernetes.io/managed-by: Helm
      app.kubernetes.io/name: webhook
      app.kubernetes.io/version: v1.5.4
      helm.sh/chart: cert-manager-v1.5.4
    name: cert-manager-webhook
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        app.kubernetes.io/component: webhook
        app.kubernetes.io/instance: cert-manager
        app.kubernetes.io/name: webhook
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          app: webhook
          app.kubernetes.io/component: webhook
          app.kubernetes.io/instance: cert-manager
          app.kubernetes.io/managed-by: Helm
          app.kubernetes.io/name: webhook
          app.kubernetes.io/version: v1.5.4
          helm.sh/chart: cert-manager-v1.5.4
      spec:
        containers:
        - args:
          - --v=2
          - --secure-port=10250
          - --dynamic-serving-ca-secret-namespace=$(POD_NAMESPACE)
          - --dynamic-serving-ca-secret-name=cert-manager-webhook-ca
          - --dynamic-serving-dns-names=cert-manager-webhook,cert-manager-webhook.default,cert-manager-webhook.default.svc
          env:
          - name: POD_NAMESPACE
            valueFrom:
              fieldRef:
                apiVersion: v1
                fieldPath: metadata.namespace
          image: quay.io/jetstack/cert-manager-webhook:v1.5.4
          imagePullPolicy: IfNotPresent
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /livez
              port: 6080
              scheme: HTTP
            initialDelaySeconds: 60
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 1
          name: cert-manager
          ports:
          - containerPort: 10250
            name: https
            protocol: TCP
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /healthz
              port: 6080
              scheme: HTTP
            initialDelaySeconds: 5
            periodSeconds: 5
            successThreshold: 1
            timeoutSeconds: 1
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
        dnsPolicy: ClusterFirst
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext:
          runAsNonRoot: true
        serviceAccount: cert-manager-webhook
        serviceAccountName: cert-manager-webhook
        terminationGracePeriodSeconds: 30

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 1
    labels:
      app: cdn
    name: cdn
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        app: cdn
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          app: cdn
      spec:
        containers:
        - image: registry.gitlab.com/king365online/deployment-project/cdn_freecell
          imagePullPolicy: IfNotPresent
          name: cdn
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
        dnsPolicy: ClusterFirst
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 1
    labels:
      app: sungames
    name: sungames
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        app: sungames
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          app: sungames
      spec:
        containers:
        - image: registry.gitlab.com/king365online/deployment-project/sungames:2103131240
          imagePullPolicy: IfNotPresent
          name: sungames
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
        dnsPolicy: ClusterFirst
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 1
    labels:
      io.kompose.service: cms-admin-web
    name: cms-admin-web
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: cms-admin-web
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          io.kompose.service: cms-admin-web
      spec:
        containers:
        - image: registry.gitlab.com/king365online/deployment-project:cms-admin
          imagePullPolicy: IfNotPresent
          name: cms-admin-web
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/html/application/config/config.php
            name: config-volume
            subPath: config.php
          - mountPath: /var/www/html/application/config/database.php
            name: config-volume-db
            subPath: database.php
        dnsPolicy: ClusterFirst
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: cms-admin2
          name: config-volume
        - configMap:
            defaultMode: 420
            name: cms-admin-db
          name: config-volume-db

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 1
    labels:
      app.kubernetes.io/instance: landing-r99
      app.kubernetes.io/managed-by: Helm
      app.kubernetes.io/name: r99
      app.kubernetes.io/version: 1.16.0
      helm.sh/chart: r99-0.1.0
    name: landing-r99
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        app.kubernetes.io/instance: landing-r99
        app.kubernetes.io/name: r99
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          app.kubernetes.io/instance: landing-r99
          app.kubernetes.io/name: r99
      spec:
        containers:
        - image: registry.gitlab.com/r99/landing-web:latest
          imagePullPolicy: Always
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /
              port: http
              scheme: HTTP
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 1
          name: r99
          ports:
          - containerPort: 80
            name: http
            protocol: TCP
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /
              port: http
              scheme: HTTP
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 1
          resources: {}
          securityContext: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: gitlab-auth-r99
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        serviceAccount: landing-r99
        serviceAccountName: landing-r99
        terminationGracePeriodSeconds: 30

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 2
    labels:
      io.kompose.service: minigame
    name: minigame
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: minigame
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        annotations:
          kubectl.kubernetes.io/restartedAt: "2021-10-11T14:09:11Z"
        creationTimestamp: null
        labels:
          io.kompose.service: minigame
      spec:
        containers:
        - args:
          - ./main
          - console
          image: registry.gitlab.com/r99/landing-web/minigame:1945_211008_0555
          imagePullPolicy: IfNotPresent
          name: minigame
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/config/db_pool.properties
            name: config-volume
            subPath: db_pool.properties
          - mountPath: /var/www/config/hazelcast.properties
            name: config-volume
            subPath: hazelcast.properties
          - mountPath: /var/www/config/mongo.properties
            name: config-volume
            subPath: mongo.properties
          - mountPath: /var/www/config/rmq.properties
            name: config-volume
            subPath: rmq.properties
          - mountPath: /var/www/config/partner.properties
            name: config-volume
            subPath: partner.properties
          - mountPath: /var/www/config/list_chat.txt
            name: config-volume
            subPath: list_chat.txt
          - mountPath: /var/www/config/config_game.properties
            name: config-game-minigame
            subPath: config_game.properties
          workingDir: /var/www
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: gitlab-auth-r99
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: config-all
          name: config-volume
        - configMap:
            defaultMode: 420
            name: config-game-minigame
          name: config-game-minigame

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 2
    labels:
      io.kompose.service: slot
    name: slot
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: slot
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        annotations:
          kubectl.kubernetes.io/restartedAt: "2021-10-11T14:14:24Z"
        creationTimestamp: null
        labels:
          io.kompose.service: slot
      spec:
        containers:
        - args:
          - ./main
          - console
          image: registry.gitlab.com/king365online/deployment-project/slot:2108311105
          imagePullPolicy: IfNotPresent
          name: slot
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/config/db_pool.properties
            name: config-volume
            subPath: db_pool.properties
          - mountPath: /var/www/config/hazelcast.properties
            name: config-volume
            subPath: hazelcast.properties
          - mountPath: /var/www/config/mongo.properties
            name: config-volume
            subPath: mongo.properties
          - mountPath: /var/www/config/rmq.properties
            name: config-volume
            subPath: rmq.properties
          - mountPath: /var/www/config/partner.properties
            name: config-volume
            subPath: partner.properties
          - mountPath: /var/www/config/config_game.properties
            name: config-game-slot
            subPath: config_game_slot.properties
          - mountPath: /var/www/config/config_game_slot.properties
            name: config-game-slot
            subPath: config_game_slot.properties
          workingDir: /var/www
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred-r99
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: config-all
          name: config-volume
        - configMap:
            defaultMode: 420
            name: config-game-slot
          name: config-game-slot

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 2
    labels:
      io.kompose.service: tlmn
    name: tlmn
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: tlmn
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        annotations:
          kubectl.kubernetes.io/restartedAt: "2021-10-11T14:14:41Z"
        creationTimestamp: null
        labels:
          io.kompose.service: tlmn
      spec:
        containers:
        - args:
          - ./main
          - console
          image: registry.gitlab.com/king365online/deployment-project/tlmn:2108141105
          imagePullPolicy: Always
          name: tlmn
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/config/db_pool.properties
            name: config-volume
            subPath: db_pool.properties
          - mountPath: /var/www/config/hazelcast.properties
            name: config-volume
            subPath: hazelcast.properties
          - mountPath: /var/www/config/mongo.properties
            name: config-volume
            subPath: mongo.properties
          - mountPath: /var/www/config/rmq.properties
            name: config-volume
            subPath: rmq.properties
          workingDir: /var/www
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred-r99
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: config-all
          name: config-volume

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 2
    labels:
      io.kompose.service: xidzach
    name: xidzach
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: xidzach
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        annotations:
          kubectl.kubernetes.io/restartedAt: "2021-10-11T14:14:59Z"
        creationTimestamp: null
        labels:
          io.kompose.service: xidzach
      spec:
        containers:
        - args:
          - ./main
          - console
          image: registry.gitlab.com/king365online/deployment-project/xizach:2108141110
          imagePullPolicy: Always
          name: xidzach
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/config/db_pool.properties
            name: config-volume
            subPath: db_pool.properties
          - mountPath: /var/www/config/hazelcast.properties
            name: config-volume
            subPath: hazelcast.properties
          - mountPath: /var/www/config/mongo.properties
            name: config-volume
            subPath: mongo.properties
          - mountPath: /var/www/config/rmq.properties
            name: config-volume
            subPath: rmq.properties
          workingDir: /var/www
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred-r99
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: config-all
          name: config-volume

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 2
    labels:
      io.kompose.service: bacay
    name: bacay
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: bacay
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        annotations:
          kubectl.kubernetes.io/restartedAt: "2021-10-11T14:15:05Z"
        creationTimestamp: null
        labels:
          io.kompose.service: bacay
      spec:
        containers:
        - args:
          - ./main
          - console
          image: registry.gitlab.com/king365online/deployment-project/bacay:2108140940
          imagePullPolicy: Always
          name: bacay
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/config/db_pool.properties
            name: config-volume
            subPath: db_pool.properties
          - mountPath: /var/www/config/hazelcast.properties
            name: config-volume
            subPath: hazelcast.properties
          - mountPath: /var/www/config/mongo.properties
            name: config-volume
            subPath: mongo.properties
          - mountPath: /var/www/config/rmq.properties
            name: config-volume
            subPath: rmq.properties
          workingDir: /var/www
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred-r99
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: config-all
          name: config-volume

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 2
    labels:
      io.kompose.service: pokertour
    name: pokertour
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: pokertour
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        annotations:
          kubectl.kubernetes.io/restartedAt: "2021-10-11T14:15:10Z"
        creationTimestamp: null
        labels:
          io.kompose.service: pokertour
      spec:
        containers:
        - args:
          - ./main
          - console
          image: registry.gitlab.com/gsmanclub/pokertour
          imagePullPolicy: Always
          name: pokertour
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/config/db_pool.properties
            name: config-volume
            subPath: db_pool.properties
          - mountPath: /var/www/config/hazelcast.properties
            name: config-volume
            subPath: hazelcast.properties
          - mountPath: /var/www/config/mongo.properties
            name: config-volume
            subPath: mongo.properties
          - mountPath: /var/www/config/rmq.properties
            name: config-volume
            subPath: rmq.properties
          workingDir: /var/www
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: config-all
          name: config-volume

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 2
    labels:
      io.kompose.service: caro
    name: caro
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: caro
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        annotations:
          kubectl.kubernetes.io/restartedAt: "2021-10-11T14:15:15Z"
        creationTimestamp: null
        labels:
          io.kompose.service: caro
      spec:
        containers:
        - args:
          - ./main
          - console
          image: registry.gitlab.com/gsmanclub/caro
          imagePullPolicy: Always
          name: caro
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/config/db_pool.properties
            name: config-volume
            subPath: db_pool.properties
          - mountPath: /var/www/config/hazelcast.properties
            name: config-volume
            subPath: hazelcast.properties
          - mountPath: /var/www/config/mongo.properties
            name: config-volume
            subPath: mongo.properties
          - mountPath: /var/www/config/rmq.properties
            name: config-volume
            subPath: rmq.properties
          workingDir: /var/www
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: config-all
          name: config-volume

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 2
    labels:
      io.kompose.service: cotuong
    name: cotuong
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: cotuong
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        annotations:
          kubectl.kubernetes.io/restartedAt: "2021-10-11T14:15:22Z"
        creationTimestamp: null
        labels:
          io.kompose.service: cotuong
      spec:
        containers:
        - args:
          - ./main
          - console
          image: registry.gitlab.com/gsmanclub/cotuong
          imagePullPolicy: Always
          name: cotuong
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/config/db_pool.properties
            name: config-volume
            subPath: db_pool.properties
          - mountPath: /var/www/config/hazelcast.properties
            name: config-volume
            subPath: hazelcast.properties
          - mountPath: /var/www/config/mongo.properties
            name: config-volume
            subPath: mongo.properties
          - mountPath: /var/www/config/rmq.properties
            name: config-volume
            subPath: rmq.properties
          workingDir: /var/www
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: config-all
          name: config-volume

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 2
    labels:
      io.kompose.service: lieng
    name: lieng
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: lieng
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        annotations:
          kubectl.kubernetes.io/restartedAt: "2021-10-11T14:15:29Z"
        creationTimestamp: null
        labels:
          io.kompose.service: lieng
      spec:
        containers:
        - args:
          - ./main
          - console
          image: registry.gitlab.com/king365online/deployment-project/lieng:2108141035
          imagePullPolicy: Always
          name: lieng
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/config/db_pool.properties
            name: config-volume
            subPath: db_pool.properties
          - mountPath: /var/www/config/hazelcast.properties
            name: config-volume
            subPath: hazelcast.properties
          - mountPath: /var/www/config/mongo.properties
            name: config-volume
            subPath: mongo.properties
          - mountPath: /var/www/config/rmq.properties
            name: config-volume
            subPath: rmq.properties
          workingDir: /var/www
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred-r99
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: config-all
          name: config-volume

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 2
    labels:
      io.kompose.service: porker
    name: porker
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: porker
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        annotations:
          kubectl.kubernetes.io/restartedAt: "2021-10-11T14:15:34Z"
        creationTimestamp: null
        labels:
          io.kompose.service: porker
      spec:
        containers:
        - args:
          - ./main
          - console
          image: registry.gitlab.com/r99/landing-web:porker
          imagePullPolicy: Always
          name: porker
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/config/db_pool.properties
            name: config-volume
            subPath: db_pool.properties
          - mountPath: /var/www/config/hazelcast.properties
            name: config-volume
            subPath: hazelcast.properties
          - mountPath: /var/www/config/mongo.properties
            name: config-volume
            subPath: mongo.properties
          - mountPath: /var/www/config/rmq.properties
            name: config-volume
            subPath: rmq.properties
          workingDir: /var/www
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: gitlab-auth-r99
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: config-all
          name: config-volume

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 2
    labels:
      io.kompose.service: sam
    name: sam
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: sam
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        annotations:
          kubectl.kubernetes.io/restartedAt: "2021-10-11T14:15:39Z"
        creationTimestamp: null
        labels:
          io.kompose.service: sam
      spec:
        containers:
        - args:
          - ./main
          - console
          image: registry.gitlab.com/king365online/deployment-project/sam:2109021710
          imagePullPolicy: Always
          name: sam
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/config/db_pool.properties
            name: config-volume
            subPath: db_pool.properties
          - mountPath: /var/www/config/hazelcast.properties
            name: config-volume
            subPath: hazelcast.properties
          - mountPath: /var/www/config/mongo.properties
            name: config-volume
            subPath: mongo.properties
          - mountPath: /var/www/config/rmq.properties
            name: config-volume
            subPath: rmq.properties
          workingDir: /var/www
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred-r99
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: config-all
          name: config-volume

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 2
    labels:
      io.kompose.service: baicao
    name: baicao

  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: baicao
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        annotations:
          kubectl.kubernetes.io/restartedAt: "2021-10-11T14:15:48Z"
        creationTimestamp: null
        labels:
          io.kompose.service: baicao
      spec:
        containers:
        - args:
          - ./main
          - console
          image: registry.gitlab.com/gsmanclub/baicao
          imagePullPolicy: Always
          name: baicao
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/config/db_pool.properties
            name: config-volume
            subPath: db_pool.properties
          - mountPath: /var/www/config/hazelcast.properties
            name: config-volume
            subPath: hazelcast.properties
          - mountPath: /var/www/config/mongo.properties
            name: config-volume
            subPath: mongo.properties
          - mountPath: /var/www/config/rmq.properties
            name: config-volume
            subPath: rmq.properties
          workingDir: /var/www
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: config-all
          name: config-volume

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 2
    labels:
      io.kompose.service: coup
    name: coup
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: coup
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        annotations:
          kubectl.kubernetes.io/restartedAt: "2021-10-11T14:15:52Z"
        creationTimestamp: null
        labels:
          io.kompose.service: coup
      spec:
        containers:
        - args:
          - ./main
          - console
          image: registry.gitlab.com/gsmanclub/coup
          imagePullPolicy: Always
          name: coup
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/config/db_pool.properties
            name: config-volume
            subPath: db_pool.properties
          - mountPath: /var/www/config/hazelcast.properties
            name: config-volume
            subPath: hazelcast.properties
          - mountPath: /var/www/config/mongo.properties
            name: config-volume
            subPath: mongo.properties
          - mountPath: /var/www/config/rmq.properties
            name: config-volume
            subPath: rmq.properties
          workingDir: /var/www
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: config-all
          name: config-volume

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 2
    labels:
      io.kompose.service: banca
    name: banca
  spec:
    progressDeadlineSeconds: 600
    replicas: 0
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: banca
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        annotations:
          kubectl.kubernetes.io/restartedAt: "2021-10-11T14:16:10Z"
        creationTimestamp: null
        labels:
          io.kompose.service: banca
      spec:
        containers:
        - args:
          - ./main
          - console
          image: registry.gitlab.com/gsmanclub/banca
          imagePullPolicy: Always
          name: banca
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/config/db_pool.properties
            name: config-volume
            subPath: db_pool.properties
          - mountPath: /var/www/config/hazelcast.properties
            name: config-volume
            subPath: hazelcast.properties
          - mountPath: /var/www/config/mongo.properties
            name: config-volume
            subPath: mongo.properties
          - mountPath: /var/www/config/rmq.properties
            name: config-volume
            subPath: rmq.properties
          workingDir: /var/www
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: config-all
          name: config-volume

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 4
    labels:
      io.kompose.service: binh
    name: binh
  spec:
    progressDeadlineSeconds: 600
    replicas: 0
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: binh
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        annotations:
          kubectl.kubernetes.io/restartedAt: "2021-10-11T14:42:26Z"
        creationTimestamp: null
        labels:
          io.kompose.service: binh
      spec:
        containers:
        - args:
          - ./main
          - console
          image: registry.gitlab.com/r99/landing-web/binh:1989_211008_1328
          imagePullPolicy: Always
          name: binh
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/config/db_pool.properties
            name: config-volume
            subPath: db_pool.properties
          - mountPath: /var/www/config/hazelcast.properties
            name: config-volume
            subPath: hazelcast.properties
          - mountPath: /var/www/config/mongo.properties
            name: config-volume
            subPath: mongo.properties
          - mountPath: /var/www/config/rmq.properties
            name: config-volume
            subPath: rmq.properties
          workingDir: /var/www
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: gitlab-auth-r99
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: config-all
          name: config-volume

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 3
    labels:
      io.kompose.service: new-banca
    name: new-banca
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: new-banca
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        annotations:
          kubectl.kubernetes.io/restartedAt: "2021-10-11T15:39:31Z"
        creationTimestamp: null
        labels:
          io.kompose.service: new-banca
      spec:
        containers:
        - args:
          - ./main
          - console
          image: registry.gitlab.com/r99/landing-web:banca
          imagePullPolicy: IfNotPresent
          name: new-banca
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /app/config.json
            name: config-volume
            subPath: config.json
          - mountPath: /app/cer.pfx
            name: config-cer
            subPath: cer.pfx
          workingDir: /app
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: gitlab-auth-r99
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: new-banca-config
          name: config-volume
        - configMap:
            defaultMode: 420
            name: cer-pfx
          name: config-cer

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 1
    labels:
      io.kompose.service: xocdia-springboot
    name: xocdia-springboot
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: xocdia-springboot
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          io.kompose.service: xocdia-springboot
      spec:
        containers:
        - args:
          - ./main
          - console
          image: registry.gitlab.com/king365online/deployment-project/xocdia-springboot:9996_211011_1508
          imagePullPolicy: Always
          name: xocdia-springboot
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/config/db_pool.properties
            name: config-volume
            subPath: db_pool.properties
          - mountPath: /var/www/config/hazelcast.properties
            name: config-volume
            subPath: hazelcast.properties
          - mountPath: /var/www/config/mongo.properties
            name: config-volume
            subPath: mongo.properties
          - mountPath: /var/www/config/rmq.properties
            name: config-volume
            subPath: rmq.properties
          workingDir: /var/www
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred-hu247
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: config-all
          name: config-volume

- apiVersion: apps/v1
  kind: Deployment
  metadata:
    generation: 6
    labels:
      io.kompose.service: xocdia
    name: xocdia
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: xocdia
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        annotations:
          kubectl.kubernetes.io/restartedAt: "2021-10-11T14:16:04Z"
        creationTimestamp: null
        labels:
          io.kompose.service: xocdia
      spec:
        containers:
        - args:
          - ./main
          - console
          image: registry.gitlab.com/king365online/deployment-project/xocdia-springboot:9992_211012_0625
          imagePullPolicy: Always
          name: xocdia
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/www/config/db_pool.properties
            name: config-volume
            subPath: db_pool.properties
          - mountPath: /var/www/config/hazelcast.properties
            name: config-volume
            subPath: hazelcast.properties
          - mountPath: /var/www/config/mongo.properties
            name: config-volume
            subPath: mongo.properties
          - mountPath: /var/www/config/rmq.properties
            name: config-volume
            subPath: rmq.properties
          workingDir: /var/www
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred-r99
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: config-all
          name: config-volume
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""
